Get Compute Profile Ids For Migration Parameters

Get Compute Profile Ids For Migration Parameters
Fetch all compute profiles for given target migration parameters

Fetch all compute profiles for given target migration parameters

Request
URI
POST
https://{server}/hybridity/api/interconnect/mobility/computeProfiles
COPY
Request Body

Migration Parameters

mobilityParams of type(s) application/json
Required

Show optional properties

{
    "endpointId": "string"
}
{
    "entityId": "string",
    "entityType": "string",
    "computeId": "string",
    "computeType": "string",
    "endpointId": "string",
    "resourceId": "string",
    "resourceType": "string"
}
string
entityId
Optional

entityId

string
entityType
Optional

entityType

string
computeId
Optional

computeId

string
computeType
Optional

computeType

string
endpointId
Required

endpointId

string
resourceId
Optional

resourceId

string
resourceType
Optional

resourceType

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns computeProfileIds of type(s) application/json
{
    "items": [
        "string"
    ]
}
array of string
items
Optional

items


400

Bad Request

Operation doesn't return any data structure

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"endpointId":"string"}' https://{api_host}/hybridity/api/interconnect/mobility/computeProfiles